Package com.google.android.exoplayer2.mediacodec

## Interface MediaCodecAdapter.Factory

- All Known Implementing Classes:
    `DefaultMediaCodecAdapterFactory`, `SynchronousMediaCodecAdapter.Factory`
  Enclosing interface:
    MediaCodecAdapter

      public static interface MediaCodecAdapter.Factory

  A factory for `MediaCodecAdapter` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MediaCodecAdapter.Factory` | `DEFAULT` | Default factory used in most cases.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaCodecAdapter` | `createAdapter​(MediaCodecAdapter.Configuration configuration)` | Creates a `MediaCodecAdapter` instance.

- - ### Field Detail

    - #### DEFAULT

          static final MediaCodecAdapter.Factory DEFAULT

      Default factory used in most cases.

  - ### Method Detail

    - #### createAdapter

          MediaCodecAdapter createAdapter​(MediaCodecAdapter.Configuration configuration)
                                   throws IOException

      Creates a `MediaCodecAdapter` instance.
      Throws:
        `IOException`